/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workreceiptssettle.entity;

import com.jeeplus.common.persistence.ActEntity;
import com.jeeplus.modules.sys.entity.Office;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

import java.util.Date;
import java.util.List;

/**
 * 收入结算Entity
 * @author ssrh
 * @version 2018-06-28
 */
public class WorkReceiptsSettle extends ActEntity<WorkReceiptsSettle> {
	
	private static final long serialVersionUID = 1L;
    public static final String SERIAL_BIZCODE = "6";
    private String num;		// 结算编号
	private Office office;		// 所属部门
	private Office company;		// 所属公司
    private List<WorkReceiptsSettleDetail> settleDetailList;
	private List<WorkReceiptsSettleInvoice> settleInvoiceList;
	private Date beginDate;
	private Date endDate;
	private String processInstanceId;
	private Integer state;
	private String home;

	public WorkReceiptsSettle() {
		super();
	}

	public WorkReceiptsSettle(String id){
		super(id);
	}

	@ExcelField(title="结算编号", align=2, sort=7)
	public String getNum() {
		return num;
	}

	public void setNum(String num) {
		this.num = num;
	}
	
	@ExcelField(title="所属部门", align=2, sort=8)
	public Office getOffice() {
		return office;
	}

	public void setOffice(Office office) {
		this.office = office;
	}
	
	@ExcelField(title="所属公司", align=2, sort=9)
	public Office getCompany() {
		return company;
	}

	public void setCompany(Office company) {
		this.company = company;
	}

    public List<WorkReceiptsSettleDetail> getSettleDetailList() {
        return settleDetailList;
    }

    public void setSettleDetailList(List<WorkReceiptsSettleDetail> settleDetailList) {
        this.settleDetailList = settleDetailList;
    }

    public List<WorkReceiptsSettleInvoice> getSettleInvoiceList() {
        return settleInvoiceList;
    }

    public void setSettleInvoiceList(List<WorkReceiptsSettleInvoice> settleInvoiceList) {
        this.settleInvoiceList = settleInvoiceList;
    }

    public Date getBeginDate() {
        return beginDate;
    }

    public void setBeginDate(Date beginDate) {
        this.beginDate = beginDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public String getProcessInstanceId() {
        return processInstanceId;
    }

    public void setProcessInstanceId(String processInstanceId) {
        this.processInstanceId = processInstanceId;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getHome() {
        return home;
    }

    public void setHome(String home) {
        this.home = home;
    }
}